Package org.apache.groovy.util

## Class ScriptRunner

- java.lang.Object
- - org.apache.groovy.util.ScriptRunner

-     public class ScriptRunner
      extends Object

  The tool to simulate running script files via groovy command
  Since:
    3.0.0

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `runScript​(File path)` | Run the script file specified by the file path
    `static void` | `runScript​(String cp)` | Run the script file specified by the classpath

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### runScript

          public static void runScript​(File path)

      Run the script file specified by the file path
      Parameters:
        `path` - the file
      Since:
        3.0.0

    - #### runScript

          public static void runScript​(String cp)

      Run the script file specified by the classpath
      Parameters:
        `cp` - the classpath
      Since:
        3.0.0